DiagonalAddKernel (BioJava-1.5-beta API)
Keywords: org.biojava.stats.svm.DiagonalAddKernel class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.stats.svm
Class DiagonalAddKernel

    java.lang.Object
      org.biojava.stats.svm.NestedKernel
          org.biojava.stats.svm.DiagonalAddKernel

All Implemented Interfaces:
  Serializable, SVMKernel

    public class DiagonalAddKernel

extends NestedKernel

Adds a class specific constant to k(x, x).

Author:
  Matthew Pocock
See Also:
  Serialized Form

Constructor Summary
`DiagonalAddKernel()`

Method Summary
`void` | `addNeg(Object o)`
`void` | `addPos(Object o)`
`double` | `evaluate(Object a, Object b)` Return the dot product of a, b.
`double` | `getLambda()` Retrieve the scale factor.
`void` | `setLambda(double l)` Set the scale factor.
`String` | `toString()`

Methods inherited from class org.biojava.stats.svm.NestedKernel
`getNestedKernel, setNestedKernel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DiagonalAddKernel

    public DiagonalAddKernel()

Method Detail

### addPos

    public void addPos(Object o)

### addNeg

    public void addNeg(Object o)

### setLambda

    public void setLambda(double l)

  Set the scale factor.

  Parameters:
    `l` - the new scale factor

### getLambda

    public double getLambda()

  Retrieve the scale factor.

  Returns:
    the current scale factor

### evaluate

    public double evaluate(Object a,
                           Object b)

  Return the dot product of a, b.

  This is equal to `k(a, b) + d(a, b) * ||class(a)|| / (||class||)` where d(a, b) is zero if a != b, and 1 if a == b. class(a) is the set of all items in the same class as a. class is all items with a classification.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD